# fileSystem Struct Reference

`#include <vfs.h>`

## Data Fields

fileSystem * | prev
fileSystem * | next
int(* | vfsInitFS )(void *)
int(* | vfsRead )(void *, char *, long, long)
int(* | vfsWrite )(void *, char *, long, long)
int(* | vfsOpenFile )(void *, void *)
int(* | vfsUnlink )(char *, void *)
int(* | vfsMakeDir )(char *, void *)
int(* | vfsRemDir )(char *)
int(* | vfsSync )(void)
int | vfsType

## Field Documentation

struct fileSystem* fileSystem::next

struct fileSystem* fileSystem::prev

int(* fileSystem::vfsInitFS)(void *)

int(* fileSystem::vfsMakeDir)(char *,void *)

int(* fileSystem::vfsOpenFile)(void *,void *)

int(* fileSystem::vfsRead)(void *,char *,long,long)

int(* fileSystem::vfsRemDir)(char *)

int(* fileSystem::vfsSync)(void)

int fileSystem::vfsType

int(* fileSystem::vfsUnlink)(char *,void *)

int(* fileSystem::vfsWrite)(void *,char *,long,long)

The documentation for this struct was generated from the following file:

- vfs.h